<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.customer.mapper.LlAllin1CsPrmMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="org.springblade.customer.entity.LlAllin1CsPrm">
        <result column="THEMONTH" property="themonth" />
        <result column="SPCDOENAME" property="spcdoename" />
        <result column="SPCODE" property="spcode" />
        <result column="SERVICENAME" property="servicename" />
        <result column="SERVICECODE" property="servicecode" />
        <result column="SPNAME" property="spname" />
        <result column="PRODUCTCODE" property="productcode" />
        <result column="PRODUCTNAME" property="productname" />
        <result column="PRODUCTID" property="productid" />
        <result column="COMPLAINT_TYPENAME" property="complaintTypename" />
        <result column="COMPLAINT_TYPE" property="complaintType" />
        <result column="IRREGULAR" property="irregular" />
        <result column="PROVINCE" property="province" />
        <result column="AREA" property="area" />
        <result column="PARTNER_TYPE" property="partnerType" />
        <result column="WHOLENET" property="wholenet" />
        <result column="START_TIME" property="startTime" />
        <result column="COMPLAINT_NUM" property="complaintNum" />
        <result column="COMPLAINT_DETAIL" property="complaintDetail" />
        <result column="SP_ORDER_CODE" property="spOrderCode" />
        <result column="SP_ORDER_NO" property="spOrderNo" />
        <result column="SPCODE2" property="spcode2" />
        <result column="SPCODENAME2" property="spcodename2" />
        <result column="FINISH_TIME" property="finishTime" />
        <result column="COMPLAINT_NO" property="complaintNo" />
        <result column="COMPLAINT_ITEMNO" property="complaintItemno" />
        <result column="STATUS" property="status" />
        <result column="STATUS_PLEAD" property="statusPlead" />
        <result column="CHANNELID" property="channelid" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        THEMONTH, SPCDOENAME, SPCODE, SERVICENAME, SERVICECODE, SPNAME, PRODUCTCODE, PRODUCTNAME, PRODUCTID, COMPLAINT_TYPENAME, COMPLAINT_TYPE, IRREGULAR, PROVINCE, AREA, PARTNER_TYPE, WHOLENET, START_TIME, COMPLAINT_NUM, COMPLAINT_DETAIL, SP_ORDER_CODE, SP_ORDER_NO, SPCODE2, SPCODENAME2, FINISH_TIME, COMPLAINT_NO, COMPLAINT_ITEMNO, STATUS, STATUS_PLEAD, CHANNELID
    </sql>

</mapper>
